[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCClient.SendStringMessage

Send a string message to the server

## Declaration

Source position: simpleipc.pp line 268

`public procedure TSimpleIPCClient.SendStringMessage(`
`const Msg: string`
`); procedure TSimpleIPCClient.SendStringMessage(`
`MsgType: TMessageType;`
`const Msg: string`
`);`

## Arguments

`Msg` |  | String message

## Arguments

`MsgType` |  | Message type
`Msg` |  | String message

## Description

SendStringMessage sends a string message with type MsgTyp and data Msg to the server. This is a convenience function: a small wrapper around the SendMessage method

## Errors

Same as for SendMessage.

## See also

SendMessage |  | Send a message to the server
Connect |  | Connect to the server
SendStringMessageFmt |  | Send a formatted string message